Package org.springframework.security.web.webauthn.registration

# Interface PublicKeyCredentialCreationOptionsRepository

All Known Implementing Classes:
  `HttpSessionPublicKeyCredentialCreationOptionsRepository`

public interface PublicKeyCredentialCreationOptionsRepository
Saves `PublicKeyCredentialCreationOptions` between a request to generate an assertion and the validation of the assertion.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`PublicKeyCredentialCreationOptions`
`load(jakarta.servlet.http.HttpServletRequest request)`
Gets a saved `PublicKeyCredentialCreationOptions` if it exists, otherwise null.
`void`
`save(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, PublicKeyCredentialCreationOptions options)`
Saves the provided `PublicKeyCredentialCreationOptions` or clears an existing `PublicKeyCredentialCreationOptions` if `options` is null.

## Method Details

### save

void save(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, PublicKeyCredentialCreationOptions options)
Saves the provided `PublicKeyCredentialCreationOptions` or clears an existing `PublicKeyCredentialCreationOptions` if `options` is null.

Parameters:
  `request` - the `HttpServletRequest`
  `response` - the `HttpServletResponse`
  `options` - the `PublicKeyCredentialCreationOptions` to save or null if an existing `PublicKeyCredentialCreationOptions` should be removed.

### load

PublicKeyCredentialCreationOptions load(jakarta.servlet.http.HttpServletRequest request)
Gets a saved `PublicKeyCredentialCreationOptions` if it exists, otherwise null.

Parameters:
  `request` - the `HttpServletRequest`
Returns:
  the `PublicKeyCredentialCreationOptions` that was saved, otherwise null.